function [TalphaPlus, TindMPlus, TR]= unmixing_semi(y,MBiblio,Nmc)


[L Rmax] = size(MBiblio);

% hyperparamtres fixes
% nu = 2;
% rho = 2;
% psi = 100;
% mu0 = 0;

% initialisation paramtres/hyperparamtres

indMPlus = randperm(Rmax);
MPlus = MBiblio(:,indMPlus);
R = length(indMPlus);
sigma2 = 1;

alphaPlus = ones(R,1)/R;

h = waitbar(0,'Monte Carlo sampling...','CreateCancelBtn','closereq', 'name', 'UNMIXING...');

TindMPlus = zeros(Rmax,Nmc);
TalphaPlus = zeros(Rmax,Nmc);
TR = zeros(1,Nmc);

% proba des jumps
if Rmax <= 2
    for m_compt=1:Nmc;
        waitbar(m_compt/Nmc,h)
        % gnration de alpha
        alphaPlus = sample_alphaPlus(alphaPlus,y,MPlus,R,sigma2);  

        TalphaPlus(indMPlus,m_compt) = alphaPlus;

        % gnration de sigma2
        sigma2 = sample_sigma2(L,y,MPlus,R,alphaPlus);
       
        TR(m_compt) = R;
        TindMPlus(1:R,m_compt) = indMPlus;
    end
    
else    
    proba_b = [1/2 1/2  ones(1,Rmax-3)/3  0 ];
    proba_d = [ 0   0   ones(1,Rmax-3)/3 1/2];
    proba_u = 1-(proba_b+proba_d);


    % dbut de la chane
    for m_compt=1:Nmc;
        waitbar(m_compt/Nmc,h)

        % mouvement birth/death
        %[R, alphaPlus, indMPlus] = sample_R(R,alphaPlus,indMPlus,y,sigma2,proba_d,proba_u,proba_b,MBiblio,Rmax);
        [R, alphaPlus, indMPlus ]= sample_R_birth_death(R,alphaPlus,indMPlus,y,sigma2,proba_d,proba_u,proba_b,MBiblio,Rmax);

    %     % mouvement switch
        [alphaPlus, indMPlus ]  = sample_R_switch(R,alphaPlus,indMPlus,y,sigma2,MBiblio,Rmax);

        % correction pour liminer les abondances ngligeables
        [R, alphaPlus, indMPlus] = correction(R, alphaPlus, indMPlus);
        TR(m_compt) = R;
        MPlus = MBiblio(:,indMPlus);
        TindMPlus(1:R,m_compt) = indMPlus;

        % gnration de alpha
        alphaPlus = sample_alphaPlus(alphaPlus,y,MPlus,R,sigma2);  

        TalphaPlus(indMPlus,m_compt) = alphaPlus;

        % gnration de sigma2
        sigma2 = sample_sigma2(L,y,MPlus,R,alphaPlus);
    end
end
    
close(h)
% fin de la chane
    